Get the webhook configuration
GET
/settings/webhooks/
const url = 'https://api.semantico.ai/api/v1/settings/webhooks/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.semantico.ai/api/v1/settings/webhooks/ \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Current configuration
Media typeapplication/json
object
url
required
Destination for webhook deliveries.
string format: uri
hmac_secret
Optional shared secret. When set, deliveries are HMAC-signed.
string
actions
Events to deliver. Defaults to all if omitted.
Array<string>
Example
{ "actions": [ "product_generated" ]}